Subject: bug#64998: 29.1; `emoji-search' (C-x 8 e s) command can not be repeated using `repeat' (C-x z)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 19:22:15 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 03 Sep 2023 18:17:21 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Fadi Moukayed <[email-masked]>
> 
> >> Observed behavior:
> >> 
> >> No "up arrow" emoji is inserted.
> >> 
> >> The following messages are written on the *Messages* buffer:
> >> 
> >> Repeating command minibuffer-complete-and-exit
> >> No match
> >
> > That command is implemented on top of transient.el, and I'm not sure
> > transient supports "C-x z" repetition.  Jonas, can you comment on
> > this, please?
> 
> Support implemented in 502e7c9a9b34c74b1b99f9e2f13a75f03dabba18 (and
> a little follow up commit to fix a last minute hiccup).

Thanks!

I see you installed this on master.  I would like to fix this on the
emacs-29 branch instead, since these commands are new in Emacs 29.  Do
you think it's okay to cherry-pick your two commits to emacs-29?  I'm
asking because AFAIR you made some changes in transient.el on master,
and I'm not sure whether the fixes you made today need those changes
to work.